import 'package:flutter/material.dart';


class PickerTitleView extends StatelessWidget {

  PickerTitleView({
    Key key,
    this.title,
    this.onCancel,
    this.onConfirm
  }) : super(key: key);

  final String title;
  final VoidCallback onCancel,onConfirm;


  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
          color: Colors.white,
          border: Border(
          bottom: BorderSide(
            color: Colors.grey[200],
            width: 0.5
          )
        )
      ),
      height: 44,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[

          getButton( '取消', Color(0xff666666),onCancel),
          getButton( '确定', Color(0xFF2975DB),onConfirm),

        ],
      ),
    );

  }

  Widget getButton(String text, Color titleColor, Function callback) {

   return InkWell(
      onTap: callback,
      child: Container(
        alignment: Alignment.center,
//        color: Colors.deepPurpleAccent,
        height: 44,
        padding: EdgeInsets.symmetric(horizontal: 15),
        child: Text(text,
          style: TextStyle(
            fontSize: 16,
            color: titleColor
          ),
        ),
      ),
    );

  }




}



